Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_RTCORBA_Factory Class Reference

Decorate an EC_Factory to use the EC_RTCORBA_Dispatching module. More...

`#include <EC_RTCORBA_Factory.h>`

Inheritance diagram for TAO_EC_RTCORBA_Factory:

[legend]
Collaboration diagram for TAO_EC_RTCORBA_Factory:

[legend]
List of all members.

## Public Methods
| TAO_EC_RTCORBA_Factory (TAO_EC_Factory *body, const RTCORBA::ThreadpoolLanes &lanes)
| Constructor.
virtual | ~TAO_EC_RTCORBA_Factory (void)
| destructor...
virtual int | init (int argc, char *argv[])
virtual int | fini (void)
virtual TAO_EC_Dispatching * | create_dispatching (TAO_EC_Event_Channel_Base *)
| Create and destroy the dispatching module.
virtual void | destroy_dispatching (TAO_EC_Dispatching *)
virtual TAO_EC_Filter_Builder * | create_filter_builder (TAO_EC_Event_Channel_Base *)
| Create and destroy the filter builder.
virtual void | destroy_filter_builder (TAO_EC_Filter_Builder *)
virtual TAO_EC_Supplier_Filter_Builder * | create_supplier_filter_builder (TAO_EC_Event_Channel_Base *)
| Create and destroy the filter builder.
virtual void | destroy_supplier_filter_builder (TAO_EC_Supplier_Filter_Builder *)
virtual TAO_EC_ConsumerAdmin * | create_consumer_admin (TAO_EC_Event_Channel_Base *)
| Create and destroy the consumer admin implementation.
virtual void | destroy_consumer_admin (TAO_EC_ConsumerAdmin *)
virtual TAO_EC_SupplierAdmin * | create_supplier_admin (TAO_EC_Event_Channel_Base *)
| Create and destroy the supplier admin implementation.
virtual void | destroy_supplier_admin (TAO_EC_SupplierAdmin *)
virtual TAO_EC_ProxyPushSupplier * | create_proxy_push_supplier (TAO_EC_Event_Channel_Base *)
| Create and destroy a ProxyPushSupplier.
virtual void | destroy_proxy_push_supplier (TAO_EC_ProxyPushSupplier *)
virtual TAO_EC_ProxyPushConsumer * | create_proxy_push_consumer (TAO_EC_Event_Channel_Base *)
| Create and destroy a ProxyPushConsumer.
virtual void | destroy_proxy_push_consumer (TAO_EC_ProxyPushConsumer *)
virtual TAO_EC_Timeout_Generator * | create_timeout_generator (TAO_EC_Event_Channel_Base *)
| Create and destroy the timer module.
virtual void | destroy_timeout_generator (TAO_EC_Timeout_Generator *)
virtual TAO_EC_ObserverStrategy * | create_observer_strategy (TAO_EC_Event_Channel_Base *)
| Create and destroy the observer strategy.
virtual void | destroy_observer_strategy (TAO_EC_ObserverStrategy *)
virtual TAO_EC_Scheduling_Strategy * | create_scheduling_strategy (TAO_EC_Event_Channel_Base *)
| Create and destroy the observer strategy.
virtual void | destroy_scheduling_strategy (TAO_EC_Scheduling_Strategy *)
virtual TAO_EC_ProxyPushConsumer_Collection * | create_proxy_push_consumer_collection (TAO_EC_Event_Channel_Base *)
| Create and destroy a collection of TAO_EC_ProxyPushConsumers.
virtual void | destroy_proxy_push_consumer_collection (TAO_EC_ProxyPushConsumer_Collection *)
virtual TAO_EC_ProxyPushSupplier_Collection * | create_proxy_push_supplier_collection (TAO_EC_Event_Channel_Base *)
| Create and destroy a collection of TAO_EC_ProxyPushSuppliers.
virtual void | destroy_proxy_push_supplier_collection (TAO_EC_ProxyPushSupplier_Collection *)
virtual ACE_Lock * | create_consumer_lock (void)
virtual void | destroy_consumer_lock (ACE_Lock *)
virtual ACE_Lock * | create_supplier_lock (void)
virtual void | destroy_supplier_lock (ACE_Lock *)
virtual TAO_EC_ConsumerControl * | create_consumer_control (TAO_EC_Event_Channel_Base *)
virtual void | destroy_consumer_control (TAO_EC_ConsumerControl *)
virtual TAO_EC_SupplierControl * | create_supplier_control (TAO_EC_Event_Channel_Base *)
virtual void | destroy_supplier_control (TAO_EC_SupplierControl *)
## Protected Attributes
TAO_EC_Factory * | body_
| The decorated factory.
RTCORBA::ThreadpoolLanes | lanes_
| Configure the thread pool lanes.

## Detailed Description

Decorate an EC_Factory to use the EC_RTCORBA_Dispatching module.

## Constructor & Destructor Documentation

TAO_EC_RTCORBA_Factory::TAO_EC_RTCORBA_Factory | ( | TAO_EC_Factory * | body,
|  | const RTCORBA::ThreadpoolLanes & | lanes
| ) |

  | Constructor. Parameters:
  body | The decorated factory.

TAO_EC_RTCORBA_Factory::~TAO_EC_RTCORBA_Factory | ( | void |  | ) | `[virtual]`

| destructor...

## Member Function Documentation

TAO_EC_ConsumerAdmin * TAO_EC_RTCORBA_Factory::create_consumer_admin | ( | TAO_EC_Event_Channel_Base * |  | ) | `[virtual]`

| Create and destroy the consumer admin implementation. Implements TAO_EC_Factory.

TAO_EC_ConsumerControl * TAO_EC_RTCORBA_Factory::create_consumer_control | ( | TAO_EC_Event_Channel_Base * |  | ) | `[virtual]`

| The ConsumerControl and SupplierControl strategies are used to discard non-existent consumers and suppliers Implements TAO_EC_Factory.

ACE_Lock * TAO_EC_RTCORBA_Factory::create_consumer_lock | ( | void |  | ) | `[virtual]`

| Create and destroy the locking strategies for both ProxyPushConsumers and ProxyPushSuppliers Implements TAO_EC_Factory.

TAO_EC_Dispatching * TAO_EC_RTCORBA_Factory::create_dispatching | ( | TAO_EC_Event_Channel_Base * |  | ) | `[virtual]`

| Create and destroy the dispatching module. Implements TAO_EC_Factory.

TAO_EC_Filter_Builder * TAO_EC_RTCORBA_Factory::create_filter_builder | ( | TAO_EC_Event_Channel_Base * |  | ) | `[virtual]`

| Create and destroy the filter builder. Implements TAO_EC_Factory.

TAO_EC_ObserverStrategy * TAO_EC_RTCORBA_Factory::create_observer_strategy | ( | TAO_EC_Event_Channel_Base * |  | ) | `[virtual]`

| Create and destroy the observer strategy. Implements TAO_EC_Factory.

TAO_EC_ProxyPushConsumer * TAO_EC_RTCORBA_Factory::create_proxy_push_consumer | ( | TAO_EC_Event_Channel_Base * |  | ) | `[virtual]`

| Create and destroy a ProxyPushConsumer. Implements TAO_EC_Factory.

TAO_EC_ProxyPushConsumer_Collection * TAO_EC_RTCORBA_Factory::create_proxy_push_consumer_collection | ( | TAO_EC_Event_Channel_Base * |  | ) | `[virtual]`

| Create and destroy a collection of TAO_EC_ProxyPushConsumers. Implements TAO_EC_Factory.

TAO_EC_ProxyPushSupplier * TAO_EC_RTCORBA_Factory::create_proxy_push_supplier | ( | TAO_EC_Event_Channel_Base * |  | ) | `[virtual]`

| Create and destroy a ProxyPushSupplier. Implements TAO_EC_Factory.

TAO_EC_ProxyPushSupplier_Collection * TAO_EC_RTCORBA_Factory::create_proxy_push_supplier_collection | ( | TAO_EC_Event_Channel_Base * |  | ) | `[virtual]`

| Create and destroy a collection of TAO_EC_ProxyPushSuppliers. Implements TAO_EC_Factory.

TAO_EC_Scheduling_Strategy * TAO_EC_RTCORBA_Factory::create_scheduling_strategy | ( | TAO_EC_Event_Channel_Base * |  | ) | `[virtual]`

| Create and destroy the observer strategy. Implements TAO_EC_Factory.

TAO_EC_SupplierAdmin * TAO_EC_RTCORBA_Factory::create_supplier_admin | ( | TAO_EC_Event_Channel_Base * |  | ) | `[virtual]`

| Create and destroy the supplier admin implementation. Implements TAO_EC_Factory.

TAO_EC_SupplierControl * TAO_EC_RTCORBA_Factory::create_supplier_control | ( | TAO_EC_Event_Channel_Base * |  | ) | `[virtual]`

| Implements TAO_EC_Factory.

TAO_EC_Supplier_Filter_Builder * TAO_EC_RTCORBA_Factory::create_supplier_filter_builder | ( | TAO_EC_Event_Channel_Base * |  | ) | `[virtual]`

| Create and destroy the filter builder. Implements TAO_EC_Factory.

ACE_Lock * TAO_EC_RTCORBA_Factory::create_supplier_lock | ( | void |  | ) | `[virtual]`

| Implements TAO_EC_Factory.

TAO_EC_Timeout_Generator * TAO_EC_RTCORBA_Factory::create_timeout_generator | ( | TAO_EC_Event_Channel_Base * |  | ) | `[virtual]`

| Create and destroy the timer module. Implements TAO_EC_Factory.

void TAO_EC_RTCORBA_Factory::destroy_consumer_admin | ( | TAO_EC_ConsumerAdmin * |  | ) | `[virtual]`

| Implements TAO_EC_Factory.

void TAO_EC_RTCORBA_Factory::destroy_consumer_control | ( | TAO_EC_ConsumerControl * |  | ) | `[virtual]`

| Implements TAO_EC_Factory.

void TAO_EC_RTCORBA_Factory::destroy_consumer_lock | ( | ACE_Lock * |  | ) | `[virtual]`

| Implements TAO_EC_Factory.

void TAO_EC_RTCORBA_Factory::destroy_dispatching | ( | TAO_EC_Dispatching * |  | ) | `[virtual]`

| Implements TAO_EC_Factory.

void TAO_EC_RTCORBA_Factory::destroy_filter_builder | ( | TAO_EC_Filter_Builder * |  | ) | `[virtual]`

| Implements TAO_EC_Factory.

void TAO_EC_RTCORBA_Factory::destroy_observer_strategy | ( | TAO_EC_ObserverStrategy * |  | ) | `[virtual]`

| Implements TAO_EC_Factory.

void TAO_EC_RTCORBA_Factory::destroy_proxy_push_consumer | ( | TAO_EC_ProxyPushConsumer * |  | ) | `[virtual]`

| Implements TAO_EC_Factory.

void TAO_EC_RTCORBA_Factory::destroy_proxy_push_consumer_collection | ( | TAO_EC_ProxyPushConsumer_Collection * |  | ) | `[virtual]`

| Implements TAO_EC_Factory.

void TAO_EC_RTCORBA_Factory::destroy_proxy_push_supplier | ( | TAO_EC_ProxyPushSupplier * |  | ) | `[virtual]`

| Implements TAO_EC_Factory.

void TAO_EC_RTCORBA_Factory::destroy_proxy_push_supplier_collection | ( | TAO_EC_ProxyPushSupplier_Collection * |  | ) | `[virtual]`

| Implements TAO_EC_Factory.

void TAO_EC_RTCORBA_Factory::destroy_scheduling_strategy | ( | TAO_EC_Scheduling_Strategy * |  | ) | `[virtual]`

| Implements TAO_EC_Factory.

void TAO_EC_RTCORBA_Factory::destroy_supplier_admin | ( | TAO_EC_SupplierAdmin * |  | ) | `[virtual]`

| Implements TAO_EC_Factory.

void TAO_EC_RTCORBA_Factory::destroy_supplier_control | ( | TAO_EC_SupplierControl * |  | ) | `[virtual]`

| Implements TAO_EC_Factory.

void TAO_EC_RTCORBA_Factory::destroy_supplier_filter_builder | ( | TAO_EC_Supplier_Filter_Builder * |  | ) | `[virtual]`

| Implements TAO_EC_Factory.

void TAO_EC_RTCORBA_Factory::destroy_supplier_lock | ( | ACE_Lock * |  | ) | `[virtual]`

| Implements TAO_EC_Factory.

void TAO_EC_RTCORBA_Factory::destroy_timeout_generator | ( | TAO_EC_Timeout_Generator * |  | ) | `[virtual]`

| Implements TAO_EC_Factory.

int TAO_EC_RTCORBA_Factory::fini | ( | void |  | ) | `[virtual]`

| Reimplemented from ACE_Shared_Object.

int TAO_EC_RTCORBA_Factory::init | ( | int | argc,
|  | char * | argv[]
| ) | `[virtual]`

## Member Data Documentation

TAO_EC_Factory* TAO_EC_RTCORBA_Factory::body_`[protected]`

| The decorated factory.

RTCORBA::ThreadpoolLanes TAO_EC_RTCORBA_Factory::lanes_`[protected]`

| Configure the thread pool lanes.

The documentation for this class was generated from the following files:

- EC_RTCORBA_Factory.h
- EC_RTCORBA_Factory.cpp